/**
 * Copyright (c) 2009 Craig Setera
 * All Rights Reserved.
 * Licensed under the Eclipse Public License - v 1.0
 * For more information see http://www.eclipse.org/legal/epl-v10.html
 */
package zberry.ui.library;

import zberry.library.LibraryObject;
import net.rim.device.api.ui.Graphics;
import net.rim.device.api.ui.component.TreeField;
import net.rim.device.api.ui.component.TreeFieldCallback;

/**
 * Implements rendering of the {@link LibraryTreeField} contents.
 * <p />
 * Copyright (c) 2009 Craig Setera<br>
 * All Rights Reserved.<br>
 * Licensed under the Eclipse Public License - v 1.0<p/>
 * <br>
 * @author Craig Setera
 */
class LibraryTreeFieldRenderer implements TreeFieldCallback {

	/* (non-Javadoc)
	 * @see net.rim.device.api.ui.component.TreeFieldCallback#drawTreeItem(net.rim.device.api.ui.component.TreeField, net.rim.device.api.ui.Graphics, int, int, int, int)
	 */
	public void drawTreeItem(
		TreeField treeField, 
		Graphics graphics, 
        int node, 
        int y,
        int width, 
        int indent)
	{
		LibraryObject libObject = (LibraryObject) treeField.getCookie(node);
		String name = libObject.getName();
		graphics.drawText(name, indent, y);
	}
}
